Scripts-dev directive for composer
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
src
tests
.gitignore
.travis.yml
LICENSE
README.md
composer.json
composer.lock

README.md

scriptsdev for Composer Build Status

It's like require-dev, but for scripts

Installation

Just run composer require neronmoon/scriptsdev --dev

Usage

After installing you able to add extra.scripts-dev directive in your composer.json

...
"extra": {
    "scripts-dev": {
        "post-install-cmd": [
            "npm install --dev"
        ],
        "post-update-cmd": "php ./someCoolCommand.php"
    },
}
...

Deprecated Usage

...
"scripts-dev": {
    "post-install-cmd": [
        "npm install --dev"
    ],
    "post-update-cmd": "php ./someCoolCommand.php"
}
...